<?php
/**
@brief ステータスの新規・編集（管理用）コントローラ
@version $Id: status.php,v 1.1 2004/07/26 10:29:01 minahito Exp $
*/
include "../../../mainfile.php";
require_once XOOPS_ROOT_PATH."/modules/exFrame/frameloader.php";
include XOOPS_ROOT_PATH."/include/cp_header.php";
require_once "../class/global.php";

require_once "./include/AdminStatusEditForm.php";

require_once "exComponent/Input.php";

$compo = new exInputComponent(null,new AdminStatusInputComponentRender(),'edit_status',
			new AdminStatusEditForm(),new exSuccessForwardConfig(EXFORWARD_LOCATION,'status_confirm.php'));

switch($compo->initSelf()) {
	case COMPONENT_INIT_FAIL:
		die;
		break;

	case ACTIONFORM_INIT_FAIL:
        xoops_cp_header();
        include "./head.php";
		print $compo->form_->getHtmlErrors();
        $compo->display();
        xoops_cp_footer();
        break;

	case COMPONENT_INIT_SUCCESS:
        xoops_cp_header();
        include "./head.php";
        $compo->display();
        xoops_cp_footer();
        break;
}
?>

